为某人创建 Vimine 账户(服务器端)
POST
/v1/signup
const url = 'https://api.vimine.network/v1/signup';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"email":"hello@example.com","first_name":"example","last_name":"example","phone":"example","dob":"2026-04-15","gender":"M","birthplace":"example","birth_country":"example","codicefiscale":"example","codicefiscale_confirmed":true,"locale":"example","accept_terms":{"version":"example","sha256":"example"},"acknowledge_privacy":{"version":"example","sha256":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vimine.network/v1/signup \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "email": "hello@example.com", "first_name": "example", "last_name": "example", "phone": "example", "dob": "2026-04-15", "gender": "M", "birthplace": "example", "birth_country": "example", "codicefiscale": "example", "codicefiscale_confirmed": true, "locale": "example", "accept_terms": { "version": "example", "sha256": "example" }, "acknowledge_privacy": { "version": "example", "sha256": "example" } }'创建身份,并向当事人发送一封电子邮件,用于确认邮箱地址并设置密码。始终返回 202:绝不透露该地址此前是否已有账户(改为通过邮件告知该地址的所有者)。仅限客户端令牌(identity:signup);接受 Idempotency-Key。
授权方式
章节“授权方式”请求体必填
章节“请求体必填”媒体类型application/json
object
email
必填
string 格式: email
first_name
必填
string
last_name
必填
string
phone
string
dob
string 格式: date
gender
仅用于统计:不参与比对
string
birthplace
市镇(在意大利出生)或城市,自由文本(在国外出生)
string
birth_country
ISO 3166-1 alpha-2
string
codicefiscale
提供时会进行校验,并与其他字段比对
string
codicefiscale_confirmed
当事人确认一个与其个人信息不一致的税号(422 codicefiscale_mismatch 且 confirmable: true 时)
boolean
locale
当事人所填写页面的语言(平台支持的语言——it、en、…;其他任何标签都会匹配到平台自己的语言:en-GB → en,zh-TW → zh-Hant)。它决定后续邮件的语言,并会成为新建账户的语言偏好;已有账户则保留自己的偏好。不支持的值会被忽略
string
accept_terms
当事人在您的网站上接受的账户使用条款(platform_terms)——可选,但提供时必须指明现行版本
object
version
必填
所展示的现行版本标签(GET /v1/legal/{kind})
string
sha256
其模板哈希(已发布时)
string
acknowledge_privacy
当事人在您的网站上阅读的平台隐私声明(platform_privacy)——可选,规则相同
object
version
必填
所展示的现行版本标签(GET /v1/legal/{kind})
string
sha256
其模板哈希(已发布时)
string
响应
章节“响应”202
章节“202”已受理
媒体类型application/json
object
status
必填
string
示例
{ "status": "accepted"}400
章节“400”请求无效
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}401
章节“401”缺少凭据或凭据无效
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}403
章节“403”无权操作
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}404
章节“404”未找到
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}429
章节“429”已触发速率限制
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}500
章节“500”内部错误
媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}